## org.eclipse.datatools.modelbase.sql.datatypes
Interface ReferenceDataType

All Superinterfaces:
  ConstructedDataType, DataType, SQLDataType, SQLObject

All Known Implementing Classes:
  ReferenceDataTypeImpl

    public interface ReferenceDataType

extends ConstructedDataType

A representation of the model object 'Reference Data Type'. Reference: 5WD-02-Foundation-2002-12 4.9 Reference Types

The following features are supported:

- `Scope Table`
- `Referenced Type`

See Also:
  `SQLDataTypesPackage.getReferenceDataType()`

Method Summary
`StructuredUserDefinedType` `getReferencedType()` Returns the value of the 'Referenced Type' reference.
`Table` `getScopeTable()` Returns the value of the 'Scope Table' reference.
`void` `setReferencedType(StructuredUserDefinedType value)` Sets the value of the '`Referenced Type`' reference.
`void` `setScopeTable(Table value)` Sets the value of the '`Scope Table`' reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.DataType
`setContainer`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getScopeTable

    Table getScopeTable()

  Returns the value of the 'Scope Table' reference.

  If the meaning of the 'Scope Table' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Scope Table' reference.
  See Also:
    `setScopeTable(Table)`, `SQLDataTypesPackage.getReferenceDataType_ScopeTable()`

### setScopeTable

    void setScopeTable(Table value)

  Sets the value of the '`Scope Table`' reference.

  Parameters:
    `value` - the new value of the 'Scope Table' reference.
  See Also:
    `getScopeTable()`

### getReferencedType

    StructuredUserDefinedType getReferencedType()

  Returns the value of the 'Referenced Type' reference.

  If the meaning of the 'Referenced Type' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Referenced Type' reference.
  See Also:
    `setReferencedType(StructuredUserDefinedType)`, `SQLDataTypesPackage.getReferenceDataType_ReferencedType()`

### setReferencedType

    void setReferencedType(StructuredUserDefinedType value)

  Sets the value of the '`Referenced Type`' reference.

  Parameters:
    `value` - the new value of the 'Referenced Type' reference.
  See Also:
    `getReferencedType()`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.